SummaryJUnitResultFormatter (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.junit.SummaryJUnitResultFormatter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Class SummaryJUnitResultFormatter

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.junit.SummaryJUnitResultFormatter

All Implemented Interfaces:
  junit.framework.TestListener, JUnitResultFormatter, JUnitTaskMirror.JUnitResultFormatterMirror, JUnitTaskMirror.SummaryJUnitResultFormatterMirror

Direct Known Subclasses:
  OutErrSummaryJUnitResultFormatter

    public class SummaryJUnitResultFormatter

extends java.lang.Object
implements JUnitResultFormatter, JUnitTaskMirror.SummaryJUnitResultFormatterMirror

Prints short summary output of the test to Ant's logging system.

Constructor Summary
`SummaryJUnitResultFormatter()` Empty

Method Summary
`void` | `addError(junit.framework.Test test, java.lang.Throwable t)` Empty
`void` | `addFailure(junit.framework.Test test, junit.framework.AssertionFailedError t)` Interface TestListener for JUnit > 3.4.
`void` | `addFailure(junit.framework.Test test, java.lang.Throwable t)` Empty
`void` | `endTest(junit.framework.Test test)` Empty
`void` | `endTestSuite(JUnitTest suite)` The whole testsuite ended.
`void` | `setOutput(java.io.OutputStream out)` Sets the stream the formatter is supposed to write its results to..
`void` | `setSystemError(java.lang.String err)` This is what the test has written to System.err.
`void` | `setSystemOutput(java.lang.String out)` This is what the test has written to System.out.
`void` | `setWithOutAndErr(boolean value)` Should the output to System.out and System.err be written to the summary.
`void` | `startTest(junit.framework.Test t)` Empty
`void` | `startTestSuite(JUnitTest suite)` The testsuite started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SummaryJUnitResultFormatter

    public SummaryJUnitResultFormatter()

  Empty

Method Detail

### startTestSuite

    public void startTestSuite(JUnitTest suite)

  The testsuite started.

  Specified by:
    `startTestSuite` in interface `JUnitResultFormatter`
  Parameters:
    `suite` - the testsuite.

### startTest

    public void startTest(junit.framework.Test t)

  Empty

  Specified by:
    `startTest` in interface `junit.framework.TestListener`
  Parameters:
    `t` - not used.

### endTest

    public void endTest(junit.framework.Test test)

  Empty

  Specified by:
    `endTest` in interface `junit.framework.TestListener`
  Parameters:
    `test` - not used.

### addFailure

    public void addFailure(junit.framework.Test test,
                           java.lang.Throwable t)

  Empty

  Parameters:
    `test` - not used.
    `t` - not used.

### addFailure

    public void addFailure(junit.framework.Test test,
                           junit.framework.AssertionFailedError t)

  Interface TestListener for JUnit > 3.4.

  A Test failed.

  Specified by:
    `addFailure` in interface `junit.framework.TestListener`
  Parameters:
    `test` - not used.
    `t` - not used.

### addError

    public void addError(junit.framework.Test test,
                         java.lang.Throwable t)

  Empty

  Specified by:
    `addError` in interface `junit.framework.TestListener`
  Parameters:
    `test` - not used.
    `t` - not used.

### setOutput

    public void setOutput(java.io.OutputStream out)

  Sets the stream the formatter is supposed to write its results to..

  Specified by:
    `setOutput` in interface `JUnitResultFormatter`
  Specified by:
    `setOutput` in interface `JUnitTaskMirror.JUnitResultFormatterMirror`
  Parameters:
    `out` - the output stream to use.

### setSystemOutput

    public void setSystemOutput(java.lang.String out)

  This is what the test has written to System.out.

  Specified by:
    `setSystemOutput` in interface `JUnitResultFormatter`
  Parameters:
    `out` - the string to write.

### setSystemError

    public void setSystemError(java.lang.String err)

  This is what the test has written to System.err.

  Specified by:
    `setSystemError` in interface `JUnitResultFormatter`
  Parameters:
    `err` - the string to write.

### setWithOutAndErr

    public void setWithOutAndErr(boolean value)

  Should the output to System.out and System.err be written to the summary.

  Specified by:
    `setWithOutAndErr` in interface `JUnitTaskMirror.SummaryJUnitResultFormatterMirror`
  Parameters:
    `value` - if true write System.out and System.err to the summary.

### endTestSuite

    public void endTestSuite(JUnitTest suite)
                      throws BuildException

  The whole testsuite ended.

  Specified by:
    `endTestSuite` in interface `JUnitResultFormatter`
  Parameters:
    `suite` - the testsuite.
  Throws:
    `BuildException` - if there is an error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD